// 存储一般信息
export type CommonInfo = {
  env: 'production' | 'acceptance' | 'testing' | 'development'; // 环境
  guidePagesVersion: string; // 欢迎页版本号
  policyAccepted: boolean; // 是否已经接受用户协议与隐私政策
  appTourVersion: string; // 版本引导版本号
  lastLoginPhoneNumber: string; // 最近一次登录使用的手机号
  deviceInfo: string; // 根据 innerModule 中的 initNativeInfo() 获取到的一些设备信息，使用时需要JSON.parse()进行解析
  // ...
};

// 登录用户信息
export type UserInfo = {
  // 以下为登录/注册时获得，不可为空
  userId: string; // 用户id
  phone: string; // 用户手机号
  userType: 'guanxin' | 'general' | 'generalandguanxin'; // 用户类型
  realNameStatus:
    | 'unverified' // 实名状态 0 未认证
    | 'success' // 1 认证成功
    | 'failure' // 2 认证失败
    | 'inexistent' // 3 证件号不存在
    | 'registered'; // 4 证件号被其他用户使用
  currentUserType: 'guanxin' | 'general'; // 当前选择的用户
  enableCert: boolean; // 是否可以下证
  hasBindFirm: boolean; // 是否绑定厂商
  hasFaceDetect: boolean; // 是否进行了人脸识别
  gxLeader: boolean; // 冠心leader
  // 1、开屏
  // 2、工作台-banner
  // 3、热点资讯-列表
  // 4、热点资讯-详情
  // 5、我的页面
  // 6、医信课堂-banner
  // 7、消息-列表
  // 8、消息-详情
  // 9、热点资讯-图片菜单
  moduleList: number[] | undefined; // 是否允许显示广告
  isFirstLogin: boolean; // 是否第一次登录(第一次登录不允许显示广告)
  // ...

  // 以下为用户信息接口获得，允许为空
  nickname: string | undefined; // 昵称
  picUrl: string | undefined; // 头像
  userIdCardNum: string | undefined; // 身份证号
  faceDetectFirms:
    | {
        clientId: string; // 厂商id
        firmName: string; // 厂商名
      }[]
    | undefined; // 人脸识别厂商？
  // ...
};
