const KEY_PREFIX = 'cn.org.bjca.trust.yiwangxin';
// 本地缓存key
// 所有的 key 按照 cn.org.bjca.trust.yiwangxin.module.xxx 来命名
// IMPORTANT: 本地缓存key增加时一定注意v1/app中的ValueHelper.ts中有个 removeAll 方法，在里面讲新增的key忽略掉，不然可能会被清除掉；同时 v2/app/hooks/useLogout.ts中也有类似内容
export const COMMONINFO_KEY = KEY_PREFIX + '.app.commoninfo';
export const TOKEN_KEY = KEY_PREFIX + '.app.token';
export const USERINFO_KEY = KEY_PREFIX + '.app.userinfo';

// 通知key
// 所有的 key 按照 cn.org.bjca.trust.yiwangxin.module.event.xxx 来命名
export const DEVICE_ENENT_LOGOUT_KEY = KEY_PREFIX + '.app.event.logout'; // 退出登录通知
export const DEVICE_ENENT_SWITCH_ROLE_KEY =
  KEY_PREFIX + '.app.event.switchrole'; // 角色切换通知
export const DEVICE_ENENT_UPDATE_USERINFO_KEY =
  KEY_PREFIX + '.app.event.updateuserinfo'; // 更新用户信息通知
export const DEVICE_ENENT_UPDATE_HOME_FEATURE_LIST_KEY =
  KEY_PREFIX + '.app.event.updatehomefeaturelist'; // 更新首页精品服务列表
export const DEVICCE_ENENT_NAVIGATE_MODULE_KEY =
  KEY_PREFIX + '.app.event.navigatemodule'; // 准备路由至其他模块的通知
export const DEVICCE_ENENT_RECEIVE_PUSH_NOTIFICATION =
  KEY_PREFIX + '.app.event.receivepushnotification'; // 收到推送通知

// IM通知key
export const PLATFORM_NOTIFICATION = 'noticePlatform'; // 系统公告
export const PERSONAL_NOTIFICATION = 'noticePerson'; // 站内信消息
export const AUTO_SIGN_REQUEST = 'requestSelfSign'; // 自动签名开启推送
export const AUTO_SIGN_REQUEST_1 = 'requestSelfSign1'; // 自动签名开启推送
export const CONFIRM_GRANT_REQUEST = 'confirmGrant'; // 监听授权请求推送

// 其他key
export const COUNTDOWN_REGISTER_KEY = KEY_PREFIX + '.app.countdown.register'; // 注册页面倒计时key
export const COUNTDOWN_CHANGE_PHONE_KEY =
  KEY_PREFIX + '.app.countdown.changephone'; // 修改手机号页面倒计时key

// 常量
export const THEME_COLOR = '#0E84FA'; // 主题色
export const THEME_COLOR_DISABLED = 'rgba(14, 132, 250, 0.3)'; // 主题色（禁用按钮）

export const HEADER_TINT_COLOR = '#11102C'; // 导航栏标题颜色
export const HEADER_TITLE_FONT_SIZE = 18; // 导航栏标题字号
export const HEADER_TITLE_FONT_WEIGHT = '500'; // 导航栏标题字号
export const TAB_BAR_ACTIVE_TINT_COLOR = THEME_COLOR; // 标签栏选中颜色
export const TAB_BAR_INACTIVE_TINT_COLOR = '#333333'; // 标签栏未选中颜色
export const TAB_BAR_ICON_SIZE = 20; // 标签栏图标宽高值，最大为25

// 配置
export const MD5_KEY = 'YwqMain!@#'; // 医网信进行md5运算的key
export const CLIENT_ID = '2000111111110002'; // 厂商唯一标识，这个值是为医网信app分配的
export const GUIDE_PAGES_VERSION = '7.0'; // 引导页版本号 - 只有当设计了全新的引导页时，才修改这里
export const APP_TOUR_VERSION = '7.0'; // 版本引导版本号 - 只有当设计了全新的版本引导时，才修改这里
export const IM_SDK_APPID = 1600023023; // 腾讯
export const IM_SDK_APPID_TEST = 1600088801; // 腾讯
export const IM_SDK_APP_KEY =
  'KxSNEvbudoGZ3WooQdiBhcaiYWQnaKSgxSybpeZJ4gRjv1Q2zgsXcQCBcrrNAWQp'; // 腾讯
export const IM_SDK_APP_KEY_TEST =
  '0Eh996NDppMBQuHuSgccdNi60Ngieaf0yBIg3Ddfw4pgw1wZ9KtM88YtHzwva3aT'; // 腾讯

// 正则表达式
export const PHONE_PATTERN = /^1[0-9]{10}$/; // 登录手机号
export const PASSWORD_PATTERN =
  /^(?=.*[a-zA-Z])(?=.*\d)[A-Za-z\d!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~]{8,12}$/; // 登录密码
export const ID_CARD_PATTERN = /(^\d{18}$)|(^\d{17}(\d|X|x)$)/; // 身份证号
